-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

I followed strickly indication about compiling and installing new
kernel. So I see, now the following error messages :

(Lecture de la base de données... 318623 fichiers et répertoires déjà
installés.)
Dépaquetage de linux-image-2.6.29.3.090516-gdn (à partir de
linux-image-2.6.29.3.090516-gdn_2.6.29.3_i386.deb) ...
Done.
Paramétrage de linux-image-2.6.29.3.090516-gdn (2.6.29.3) ...
Running depmod.
Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/initramfs-tools
run-parts: executing /etc/kernel/postinst.d/yaird
yaird error: can't open pci module list
/lib/modules/2.6.29.3.090516-gdn/modules.pcimap (fatal)
run-parts: /etc/kernel/postinst.d/yaird exited with return code 1
Failed to process /etc/kernel/postinst.d at
/var/lib/dpkg/info/linux-image-2.6.29.3.090516-gdn.postinst line 346.
dpkg : erreur de traitement de linux-image-2.6.29.3.090516-gdn (--install) :
 le sous-processus post-installation script a retourné une erreur de
sortie d'état 2
Des erreurs ont été rencontrées pendant l'exécution :
 linux-image-2.6.29.3.090516-gdn


I give the following files :

***************************************************

1) /etc/kernel-img.conf

# Kernel image management overrides
# See kernel-img.conf(5) for details
do_symlinks = yes
relative_links = yes
do_bootloader = no
do_bootfloppy = no
do_initrd = yes
link_in_boot = no
postinst_hook = update-grub
postrm_hook   = update-grub


*************************************************************************

2) /etc/kernel-pkg.conf

# This file is used by kernel-package (>2.0) to provide a means of the site
# admin to over-ride settings in the distributed debian/rules. Typically
# thus is used to set maintainer information, as well as the priority
# field. However, one may hack a full makefile in here (you should
# really know what you are doing here if you do that, though)

# Please change the maintainer information, as well as the Debian version
# below

# The maintainer information.
maintainer := Unknown Kernel Package Maintainer
email := unkn...@unconfigured.in.etc.kernel-pkg.conf

# Priority of this version (or urgency, as dchanges would call it)
priority := Low

# This is the Debian revision number (defaulted to
# $(version)-10.00.Custom in debian/rules) You may leave it commented
# out if you use the wrapper script, or if you create just one
# kernel-image package per Linux kernel revision
# debian = $(version)-10.00.Custom


*************************************************************

3) /etc/kernel/postinst.d/yaird
#!/bin/sh

# passing the kernel version is required
[ -z "$1" ] && exit 0

# kernel-package passes an extra arg; hack to not run under kernel-package
[ -z "$2" ] || exit 0

# we're good - create initramfs.  update runs do_bootloader
update-initramfs -c -t -k "$1"
salon:/etc/kernel/postinst.d# cat yaird
#! /bin/sh

set -e

if [ -n "$INITRD" ] && [ "$INITRD" = 'No' ]; then
    exit 0
fi
version="$1"
vmlinuz_location="$2"


if [ -n "$DEB_MAINT_PARAMS" ]; then
    eval set -- "$DEB_MAINT_PARAMS"
    if [ -z "$1" ] || [ "$1" != "configure" ]; then
        exit 0;
    fi
fi

# passing the kernel version is required
[ -z "$version" ] && exit 1

boot='/boot'
if [  -n "$vmlinuz_location" ]; then
    # Where is the image located? We'll place the initrd there.
    boot=$(dirname "$vmlinuz_location")
fi

#
if which yaird >/dev/null ; then
    yaird -o $boot/initrd.img-$version $version
fi

***************************************************************

4) /etc/kernel/postrm.d/yaird

#! /bin/sh

set -e

if [ -n "$INITRD" ] && [ "$INITRD" = 'No' ]; then
    exit 0
fi
version="$1"
vmlinuz_location="$2"

# Note we only trigger on a remove, and not again on purge
if [ -n "$DEB_MAINT_PARAMS" ]; then
    eval set -- "$DEB_MAINT_PARAMS"
    case "$1" in
        remove)
            : echo nop
            ;;
        *)
            exit 0;
    esac
fi

# passing the kernel version is required
[ -z "$version" ] && exit 1

boot='/boot'
if [  -n "$vmlinuz_location" ]; then
    # Where is the image located? We'll place the initrd there.
    boot=$(dirname "$vmlinuz_location")
    bootarg="-b $boot"
fi

# try and remove the initramfs, and do not care if it fails
if [ -e "$boot/initrd.img-$version" ]; then
   rm -f "$boot/initrd.img-$version"  || true
fi

***********************************************************

5)  /etc/kernel/preinst.d  and /etc/kernel/prerm.d directories are empty.


Sorry, but kernel is not fully installed.


- --

- -------
Bertrand GRONDIN <gron...@fr.fm>
http://grondin.tuxfamily.org (un projet mediawiki)
Droit des PTT, contentieux administratif et Fonction Publique
(Textes, dossiers et jurisprudence mis en ligne)
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iQIcBAEBAgAGBQJKDyssAAoJEMXDKTVD3SObZfgP/iEcP24q3SC7kfVDICklHKD3
4U4nlU58491uL4Z54XwIgm80hQG8crixUzWvPW9rBpeWtwuIRMd58OOfk9mcshAY
t6prCS1yjjrfYI7oN3MdZvjiF5pq3AuN8oLCFTtWDcLqsVPWeyc4wds181c/YFUV
QAtNytBVHSfy92s3AYP6uAd5SswUia9/VW0azOAaMFZDEFjpGlk0AqU+ICbnwoY0
3QjVOmtG7taby5NxZO30Btaxhnuhn+jmXGuebvd494+UMImd63HD3tE83x7aPIEX
g/mCWHBwA7eclxlJjQjk2GQF90xonGTCpzjPxt9dG3E8eUkqVd6kgrZuffujatBG
JvEEu0bero0JcYEsy9zpaqLeLTYvWWhv1mZ26YnjctmZtWXX4opHrxrCglf/YtUL
sD1iC36FnyfbedRsoCMWu+S2oa+aqpRZpOEFayBORYS5cCPpprAY6fvbp4wlqylR
iNOpLIQ8onV3g6HSkqSrdXwLNHfEPyJaOZxOj8BWBtDXBPczQ5j/lLa56Tw97CtJ
tYBMkBbGoz+GLZthkVZIJqFtRseoXWlkv1z1XaX9mpaprdqoxckMNL0CNi/QalNe
r1GRpeXDugeeb/A3tkihb+IqEwq9rMw/yuoPNh6z2+SkElqdl1MUa6XIkfTZTs6S
OJYsgJ3rpdfkWsbYPlZh
=V4tj
-----END PGP SIGNATURE-----



--
To UNSUBSCRIBE, email to debian-bugs-dist-requ...@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmas...@lists.debian.org

Reply via email to